This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 212915 - (pear-HTML-Table) Review Request: php-pear-HTML-Table - Class to easily design HTML tables
Review Request: php-pear-HTML-Table - Class to easily design HTML tables
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Package Reviews List
:
Depends On: pear-HTML-Common
Blocks: FE-ACCEPT DataObj-FormBuilder
  Show dependency treegraph
 
Reported: 2006-10-29 22:23 EST by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-13 02:37:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-10-29 22:23:22 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-HTML-Table.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-HTML-Table-1.7.4-1.src.rpm

Description:
The PEAR::HTML_Table package provides methods for easy and efficient design
of HTML tables.
- Lots of customization options.
- Tables can be modified at any time.
- The logic is the same as standard HTML editors.
- Handles col and rowspans.
- PHP code is shorter, easier to read and to maintain.
- Tables options can be reused.
Comment 1 Remi Collet 2006-11-11 14:06:34 EST
First comment before the full review.

All the tests provides succeed (pear run-tests -p HTML_Table) : Good.

Version 1.7.5 is available, so please update.

Should require HTML_Common >= 1.2.0
Comment 2 Christopher Stone 2006-11-11 16:26:06 EST
SPEC: http://tkmame.retrogames.com/fedora-extras/php-pear-HTML-Table.spec
SRPM: http://tkmame.retrogames.com/fedora-extras/php-pear-HTML-Table-1.7.5-1.src.rpm

%changelog
* Sat Nov 11 2006 Christopher Stone <chris.stone@gmail.com> 1.7.5-1
- Upstream Sync
- Add versioned requires
Comment 3 Remi Collet 2006-11-12 03:55:02 EST
== TEST ==
pear run-tests -p HTML_Table
> Running 31 tests
> 31 PASSED TESTS

== REVIEW ==
* source files match upstream:
d76f133550d326c33f7fc556afb59555  HTML_Table-1.7.5.tgz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license (BSD)
* license is open source-compatible.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
php-pear(HTML_Table) = 1.7.5
php-pear-HTML-Table = 1.7.5-1.fc7
* %check is not present; see comment
* owns the directories it creates (HTML own by HTML_Common which is required)
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear install)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 4 Christopher Stone 2007-04-25 00:57:38 EDT
Branch Package CVS Request
=======================
Package Name: php-pear-HTML-Table
Short Description: Class to easily design HTML tables
Owners: chris.stone@gmail.com
Branches: EL-5
InitialCC: 

Note You need to log in before you can comment on or make changes to this bug.